WHICH(1)

NOM
which - localise une commande

SYNOPSIS
which [-a] nom_de_fichier...

DESCRIPTION
which retourne le chemin des fichiers qui seraient exécutés dans l'environnement courant si ses arguments avaient été donnés comme commandes dans un interpréteur de commandes strictement conforme à POSIX. Pour ce faire, which cherche dans la variable PATH les fichiers exécutables correspondants aux noms des arguments. which ne déréférence pas les liens symboliques.

OPTIONS

-a  affiche tous les chemins correspondant à chaque argument.

VALEUR DE RETOUR

0   si toutes les commandes spécifiées sont trouvées et exécutables.

1   si une (ou plusieurs) commande spécifiée n'existe pas ou n'est pas exécutable.

2   si une option non valable est spécifiée.

TRADUCTION
Ce document est une traduction, réalisée par Laëtitia Groslong <lgr@tartine.org>.

Elle a été reprise avec po4a par Nicolas FRANÇOIS le 29 octobre 2004. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man. N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.